> ## Documentation Index
> Fetch the complete documentation index at: https://domoinc-bradley-turek-pfilter-operators-reference.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Execute Dataset Stream

> Executes a dataset stream manually



## OpenAPI

````yaml /openapi/product/data-sets.yaml post /api/data/v1/streams/{streamId}/executions
openapi: 3.0.0
info:
  title: Datasets API
  version: v1
  description: >
    The Domo Datasets API provides a set of endpoints for managing, creating,
    and updating datasets within Domo. The API allows developers to execute SQL
    queries on datasets,

    manage access permissions, retrieve metadata, append rows, share datasets,
    and perform various dataset operations.
servers:
  - url: https://{instance}.domo.com
    description: Domo Instance
    variables:
      instance:
        default: example
        description: Your Domo instance name
security:
  - developerToken: []
paths:
  /api/data/v1/streams/{streamId}/executions:
    post:
      tags:
        - Datasets API
      summary: Execute Dataset Stream
      description: Executes a dataset stream manually
      parameters:
        - name: streamId
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/StreamExecution'
            example:
              action: MANUAL
      responses:
        '200':
          description: Stream execution started
      x-codeSamples:
        - lang: HTTP
          source: |
            POST /api/data/v1/streams/{streamId}/executions HTTP/1.1
            Host: {instance}.domo.com
            X-DOMO-Developer-Token: {token}
            Content-Type: application/json

            {
              "action": "MANUAL"
            }
components:
  schemas:
    StreamExecution:
      type: object
      properties:
        action:
          type: string
          enum:
            - MANUAL
  securitySchemes:
    developerToken:
      type: apiKey
      in: header
      name: X-DOMO-Developer-Token
      description: Developer token obtained from Domo

````